TAAS - Feature #278

Card Reconciliation
01/08/2024 01:22 PM - Junaid M

Status: Reopen Bugs Start date: 01/08/2024
Priority: Normal Due date:

Assignee: Vivekp V % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Card Reconciliation

Description

Coding Card Reconciliation

History

#1 - 01/09/2024 09:40 AM - Aparna Mathew
- Status changed from New to Particialy Coding Done

- % Done changed from 0 to 40

#2 - 01/10/2024 11:58 AM - unnikannan S
- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.NAN IN STATEMENT FARE FIELD

2.ERROR WHILE CLEARING DOC DATE AND SAVE

3.ERROR WHILE ADDING DECIMAL VALUE FOR RECONCILATION
4.BOLD THE ITEMS IN TABLE DATA

5.MIISSING SAVED RECONCILATION ACCOUNT

6.DONT SHOW EDIT BUTTON IN NO FARE VALUE FIELD AND REMOVE EDIT PEN FROM TOTAL

#3 - 02/28/2024 12:37 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#4 - 02/28/2024 05:08 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.MISS CALCULATION ERROR IN UNTICK,TICK CASE FROM LIST

2.DISABLE THE PERIOD WHILE SAVING
3.MISSING ADDED CARD NAME AND ERROR WHILE CHANGING CARD DROP DOWN

#5 - 03/05/2024 09:51 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#6 - 03/05/2024 12:28 PM - unnikannan S
TESTING DONE
#7 - 03/05/2024 12:30 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.CLEAR ADDED CARD CURRENCY CODES WHILE CHOOSING NEW BUTTON
2.NAN IN FARE FIELD

#8 - 04/05/2024 01:19 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#9 - 07/12/2024 03:40 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Error On Save (Object reference not set to an instance of an object.)
Missing Debit Note Field

#10 - 07/25/2024 10:37 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#11 - 09/20/2024 05:48 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

Issue on updating an already reconciled file

#12 - 10/11/2024 10:14 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#13 - 10/15/2024 12:22 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#14 - 10/24/2024 02:16 PM - Theja Ponon
- File clipboard-202410241415-hOupf.png added
- File clipboard-202410241416-qqme4.png added

ISSUE FOUND

1. Internal matching not done.

2. Add print button and connect print.

3.when the system amount is zero then adding the card amount and saving will stop the execution (need to continue the execution to view the error
message)

05/03/2025 2/9



Object reference not set to 2n instance of an object
Period | 24/10/2024 ) 24/10/2024 o Branch?
Card (Debit & Cre €Do1 [= QAR v
Aash ed Ca & id  Other D =
Doc Mo D, 241 124
Card™ | CDO1 card1 QAR ~
Rerr s
Crasted Sy
Modiied 3y

Card Amount | 970,00

1 ued 0.0 v
Cancelled 0.0 o
aid 0.0 1

#15 - 10/29/2024 09:22 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#16 - 11/12/2024 06:02 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

Difference: 0.00

Branch® | BROOT: Ma

in

Depatment | DPO01: Account
Reference
eri 24/10/2024 -
FEIOS aas0/2024
Cs CDO1z: card1
Statement
Amount Count

(-1
Q, Search
w
v
BROO1: Main
T Z O
Amount Count
00 #
00 s
00 1 +

1)3.when the system amount is zero then adding the card amount and saving will stop the execution (need to continue the execution to view the error

message)
------ > SHOW CORRECT ERROR MESSAGE

#17 - 11/12/2024 09:41 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#18 - 11/13/2024 05:50 PM - Theja Ponon

- File clipboard-202411131734-43d2n.png added

- File clipboard-202411131750-poxom.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)PAYMENT AMOUND IS NOT UPDATING

05/03/2025

3/9



Feriod” | 13/11/2004

<)

Main Credit Card

Card (Debit & Credit* ~ | CRCOM

Master  lssued Cancelled Paid OtherDocs  Pravious

Doc Mo

Remarks

Crested By:

Modified By:

Cerd Amount | 000

2 ftem
Issued

2 Cancelled

3 Paid

4 Other Dehit

5 Other Credit

13/11/2024 [x]

Da=* | 13/11/204

Card | CRCOOT ain Credit Card

System
Amount

Q00

000

o.00

200000

.00

2)THIS ERROR MESSAGE IS GENERATE ON SAVING

Card Reconciliation

€] Brzna
]
QAR -

P

Difference: 0.00

BROO1= Main

-
Eranch® | BROD1z Main
Depanment | DPODA:: Account
Reference
_— 13/11/2024 -
Pericd 1311/2024 Branch
Card CRCO01:: Main Credit Card
Statement
Amount Count
000
000 0
0.00 o
000 o
000

Q Search

BROO01:: Main

Difference

v
i
a
Count
0
1
2

Object reference not set to an instance of an objsct

Pericd”

<)

Main Credit Card

13/11/2024

Card (Dabit & CRCOD1

Master Issued Cancelled Paid OtherDocs  Previous

Doc No

Card™ | cRCoDT

Remarks

Craated By

Card Amoumt | 200000

# Item
Issued

2 Cancelled

3 Paid

4 Other Debit

5 Other Credit

13/11/2024 (%]

Daw | 13/11/2024

System

Amount

v Sranch*
Qo0
QAR ~
s
Difference: 0.00
Count

0
2

BROO1= Main

w
Eranch™ | BROO1: Main
Department | DPOD1: Account
Reference
e P e
Card CRCO01= Main Credit Card
Statement
Amount Count
000 o
0.00 0
000 o
000 ]
0.00 0

Q Search

BRO01- Main

Difference

2000.00

#19 - 11/19/2024 10:33 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#20 - 11/19/2024 07:21 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.Showing Card Name As Supplier in print

#21 - 11/20/2024 09:57 AM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70
#22 - 11/27/2024 06:20 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Cash sale/refund not showing in the issued/cancelled tab. DATA TO BE SHOWN IN OTHER OR PAID TAB ACCORDING TO MODULE DONE
2-Corporate-card-notHoading-intheecard-irput-bex: DONE

DONE-3. Each update on the reco document shown as a new entry in the posting.
4. A reco document cannot be deleted.

#23 - 12/03/2024 10:54 PM - Aparna Mathew

Delete Pending (matching restoration is pending)

CHANGES DONE

1. In the issue and cancelled tab should show data only when use cards in AP Sharing tab.
2. In the paid tab should show the credit entries (payment, payment+, refund, refund tab)
3. In other docs tab debit entries such as sale, receipt, journal etc.

#24 - 01/02/2025 03:27 PM - Arathy PS

- Assignee changed from Aparna Mathew to Vivekp V

#25 - 01/17/2025 11:18 AM - Arathy PS
ISSUE FOUND

1. Not loading customer cards --only loading own cards. will only show own cards : note this in md file

#26 - 02/13/2025 01:13 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#27 - 03/24/2025 12:17 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#28 - 03/24/2025 02:18 PM - Theja Ponon
- File clipboard-202503241417-wdmy3.png added

Issue FIXED

JReco done by entering card amount field ,on print of summary tab cant find reco done amount
ycurrent column is not showing in print

)In print pyable is showing in paid amount field

JAmount is not showing in current

)Party is not showing on journal

ap o=

Card Reconciliation

Period™ | 24/03/2025 Q0 24/03/2025 [ I | Branch”  BROO1: Main ~ Q, Search

Card (Debit & Credif)* ~ | CRCDO1 Credit & Debit Card QAR hd

Master Issued Cancelled Paid Other Docs = Previous

T a B B @

# v Doc No Date Currency Party Details Credit Debit = Reference Narration
1 Ad DN/001 24/03/2025 QAR CRCO01:: Credit & Debit Card 100.00 0.00
2 L IV/001] 24/03/2025 QAR 0.00 100.00

3 v AP/001 24/03/2025 QAR CRCO01:: Credit & Debit Card 5000.00 0.00

#29 - 03/24/2025 06:16 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#30 - 03/27/2025 05:46 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Not showing print of card reconciliation details tab.
2. In the table debit note amount is note included.

#31 - 03/28/2025 10:22 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#32 - 03/29/2025 12:21 PM - Theja Ponon
- File clipboard-202503291217-aqw8i.png added

Issue FIXED

BASE1(QAR) Currency Debit and Credit are not tally(-500).

Period™ | 25/02/2025 29/03/2025 Branch™ | BRO01: Main A Q search

Virtual Cara* ™| vREDD1 tual Card QAR )

Master | Issued Cancelled Paid Other Docs  Previous

DocNo | ccrsoot Date* | 29/03/2025 [ Branch™ | BRODT:: Main h
Card® | vRoDO1 tual Car QAR ~ Department | pppO1: Account v
Remarks. Reference
4
Crested By Aoministrator(28/03/2025 12:13 PM) Period 28/02/2025 - 29/03/2025 Branch BROO1:: Main
Modified By: - Agministrator(29/03/2025 12:15 PM)[T] Card VRCOD1:: Virtual Card
Card Amount | 1500.00 Difference: 500.00

# | hem System Statement Current Difference
Amount Count Amount Count Amount  Count Amount  Count
1 lssued 000 0 000 0 000 0 000 0 /
2 cancellea 000 0 000 o 000 o 000 0 /
ER 200000 2 150000 0 200000 2 50000 2 s
4 | Other pevit 000 0 000 0 000 0 000 0 s
5 | Other Credit 000 0 000 0 000 0 0.00 0 s
Total 2000.00 Cr 2 1500.00 Cr o 2000.00 2 500.00 Cr 2
Debit Note
Account™ | 11005 CC Charge Collected QAR hd Amount In QAR™ | 500.00
Mein Ledger™ | (¢ Charge Collected v
Remarks

P

2)In the print of detail tab data which is not selected for reco also showing

#33 - 04/01/2025 01:10 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#34 - 04/01/2025 06:02 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#35 - 04/02/2025 02:22 PM - Theja Ponon

- File clipboard-202504021421-urxd3.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue FIXED

1)Card name remove on reloading the document
avvise

SOLUTION PVT LTD

Period” Branch® ' BROO1: Main v Q, Search
Card*~ | VRCOO1 QAR ~
Master | Issued Cancelled Paid OtherDocs Previous
DocNe | CCR/005 Date™ | 02/04/2025 [ <] Branch®  BROOT: Main "
Card* | VRCOO1 Virtual Card QAR v Department  DPOEO1: Account N
Remarks Reference
z
Created By:  Administrator(02/04/2025 02:21 PM) Period 02/03/2025 - 02/04/2025  Branch BROO1:: Main
Modified By: Administrator(02/04/2025 02:21 PM)[1] Card
Card Amount | 1000.00 Difference: 0.00

#36 - 04/03/2025 06:17 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#37 - 04/04/2025 12:18 PM - Theja Ponon

- File clipboard-202504041217-7vhxr.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)On saving the card reco- svn up db apply script

Travvise Card Reconciliation

POOQT: jsnSpOutRes: {"sinSalC trSqiC IC " "Card iliation Save Failed”, "strSqlCy Type”: DATABASE SYSTEM_ERRO ICustome: :nul, IC: i,
CstrSqlC de\" : ERRORV', \"strSqiCy ansaction Reference Save Failed\’, \'strSqlCustomErrorType\ : \'DATABASE_SYSTEM_ERRORY', \'strSqlCusts rCode\": null, \" :Yinsert or update on table \W'tbl_transaction_references\W\" violates foreign key
constraint \W'thi_transaction_references fk_transaction_id_fkey\\\"\", 'strSqlSysExceptionDetail” : \"Key (fk_transaction id)=(298) is not present in table \\\"thl transaction\\"", \“sIqu\SysExceplmnH 'SQL statement \\\“\NS[RT INTO transaction:thi_transaction_references
(fic_transaction id \n\\WAMANANAefk_record_ref_ doc_id Wnltiie _record ref_doc_no, t\\t--int_record_ref doc_sequence_no \n\ARBMENE -
sin_record_ref_doc_i _record_ref_doc_type _re_store_record, ref_doc_ledg_currency, |ref_doc_ledg_cur_s Lref_doc_ledg_cur_debit) I_ref_doc_ledg_cur_credit}
dbl_ledg_cur_reserved_amount \n\\n\\tWEWWBE\EWtvhr_ref_doc_base_currency, \\n\\EVVE\E\V BNt bl _ref_ doc_base_cur_ deb\t\\n\\t\\(\\l\\l\\i\\ndbl ref_doc_base_cur_ (rEdn\\n\\l\\l\\t\\i\\t‘\\p—
dbl_base_cur_reserved_amount; r_ref doc_cons ¢ Lref_doc_cons_cur_roe | ref doc_cons_cur Lref_doc_cans_cur credit eV RN
dbl_cons_cur_reserved_amount, old_cheque_status! " old_clear_statu: in_old_transaction s UES(C f AS BIGINT), ST

RecordRefDocld' AS BIGINT), \m\\«\\t\\t\\t\\t\\«,srﬂmnsadmnReae.em »>'seRecorcRefDocNo MNEENENANE\t-—CAS TanTransactionReference:> »intRecc ! AS INT) nce-»>" Type! T(snTransactionReference-
>>" f AS SMALLINT); ->>'strRefDocLedgCl rRoe’ AS DOUBLE PRECISION); ‘dblRefDocledgCurDebit' AS DOUBLE
PRECISION), > >'dblRefDocLedgCurCredit’ AS DOUBLE PRECIS\ON)‘ \t--CAST(jsn > >dblLedgCs * AS DOUBLE PRECISION) \\n\\n\\ e AN E\tjsniTransactionReference-
>>"strRefDocBaseCurrency’ \nWANBNEWMCAS T jen TransactionReference-> > dblKETDn(stE(urDEblt’ AS DOUBLE PKEC\S\DN) ST “dblRefDocBaseCurCredit’ AS DOUBLE PRECISION); CAST =
> > dblBaseCurReservedAmount’ AS DOUBLE PRECISION), >'strRefDocConsC > >'dbIRefDacConsCurRos AS DOUBLE PRECISION) >'dblRefDocConsCurDebit' AS
DOUBLE PRECISION), ST(jsri ‘dblRefDocConsCurCredit’ AS DOUBLE PRECISION) nce-> > 'dblC ! AS DOUBLE PRECISION). T
> >"chrOIdCH ! AS CHAR) ST(sn >>'sinOldClearStatus' AS SMALLINT) -»>'sin0ldTransactionStatus' AS SMALLINT)\W™\nPL/pgSQL function sp._insert_or_update. {ransaction_reference.base(jsonbll bigint) line 17 at

sa StBtmem\\nSOLstﬂ'élﬂer‘t\\\"ilﬁ\LL sp_insert_or_ UPdm transaction_reference ¢ Documentld, jsnSpOutRes)\\"\nPL/pgSQL function sp_insert_or_update_card_recojsonb jsonb jsonb(] bigint{]) line 116 at CALL\", \"binSqIPk\" : 0, \"binSqlLogPKy" : 0, \"strSglDocNa\" : null,
\"dctSqiOtherDatay” : null}", + "PL/pgSQL function sp_insert_or_update_transaction_reference_base(jsonb[] bigint) line 99 at RAISE\nSQL statemen(\CALLsp mser\ or_update_transaction s leferen(e baselzl]'l'rznsac\ nReference,binDocumentld,
JsnSpOutRes]\"\WPL/pgSQL function sp.insertor_updlate.sard_reco{senb jsonb,sanb{l igin[) fine 116 at CALL" BinSalPi” : 64, "binSalLogPk” 0, “srSalDochar : null, “detsciOtherData” 1 " "CCR/006", 3

Period” | 04/04/2020 @ O | oyos0s < e Branch®  BROOT: Main v Q Search

Card™~ | CRCOO1 Credit & Debit Card QAR v

Master | Issued Cancelled Paid OtherDocs — Previous

Doc No Date” | 04/04/2025 o n Branch™ | BROO1: Main -
Card™ | CRCOO1 QAR 4 Department | DPOO1:: Account he
Remarks Reference
4
Created By: Period 04/04/2020 - 04/04/2025  Branch BROO1: Main
Modified By: Card CRCOO1:: Credit & Debit Card
Card Amount | 900.00 Difference: 37.00
Card Reconciliation ma T a 2 B

#38 - 04/04/2025 03:33 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#39 - 04/05/2025 05:12 PM - Theja Ponon

- File clipboard-202504051605-swe8s.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue FIXED

1)Issue on print
Card Reconciliation-Details

Doc No : CCR/J002 Doc Date

. 05/04/2025 - 05/04/2025

: 05/04/2025

Transaction Date Branch : BROO1:: Main

05/03/2025

Card : COC001:: Corporate Card Card Amount : 3000.00 (Diffrence : 0.00)
Doc Date Doc No Service Issue/Cancel Sector/Details Pax Payable
Provider Date
OTHER
DOCUMENTS
05/04/2025 DN/001 1000.00
PAYMENT
05/04/2025 PV/001 1000.00
TICKET
05/04/2025 CRE/001 06/04/2025 ASad 1000.00
#40 - 04/08/2025 03:57 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#41 - 04/28/2025 04:14 PM - Theja Ponon
- File clipboard-202504281613-mndyg.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50
Issue Found
1)Issue in posting (Outstanding amount is incorrect)
ummary  Details =
GroupBy Mo Grouping v T Q 2 O
Sub Doc No Ticket/Voucher Main Ledger Ledger Date Transaction Currency Branch Linked D
Currency Debit Credit Outstanding
‘CCR/002 AMO08: Agency Credit Card Acc.. | CRCO01: Credit & Debit Card 28/04/2025 QAR 0.00 1000.00 1000.00 Main
‘CCR/002 AMO08: Agency Credit Card Acc..  CRCO01: Credit & Debit Card 28/04/2025 QAR 1000.00 0.00 1000.00 Main
Files
clipboard-202410241415-hOupf.png 57.9 KB 10/24/2024 Theja Ponon
clipboard-202410241416-qgme4.png 57.9 KB 10/24/2024 Theja Ponon
clipboard-202411131734-43d2n.png 75 KB 11/13/2024 Theja Ponon
clipboard-202411131750-poxom.png 90.6 KB 11/13/2024 Theja Ponon
clipboard-202503241417-wdmy3.png 60.1 KB 03/24/2025 Theja Ponon
clipboard-202503291217-aqw8i.png 151 KB 03/29/2025 Theja Ponon
clipboard-202504021421-urxd3.png 63.2 KB 04/02/2025 Theja Ponon
clipboard-202504041217-7vhxr.png 228 KB 04/04/2025 Theja Ponon
clipboard-202504051605-swe8s.png 58.5 KB 04/05/2025 Theja Ponon
clipboard-202504281613-mndyg.png 35.7 KB 04/28/2025 Theja Ponon
